Skip to main content
GET
/
call
/
{callId}
/
recording
Get Call Recording
curl --request GET \
  --url https://collectwiseapi.com/call/{callId}/recording \
  --header 'collectwise_key: <api-key>'
import requests

url = "https://collectwiseapi.com/call/{callId}/recording"

headers = {"collectwise_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {collectwise_key: '<api-key>'}};

fetch('https://collectwiseapi.com/call/{callId}/recording', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "recording_url": "<string>",
  "transcript": "<string>",
  "analysis": {
    "in_voicemail": true,
    "call_summary": "<string>",
    "user_sentiment": "<string>",
    "custom_analysis_data": {},
    "call_successful": true
  }
}
{
"code": 400,
"message": "Invalid input: debtorName is required"
}
{
"code": 400,
"message": "Invalid input: debtorName is required"
}
{
"code": 400,
"message": "Invalid input: debtorName is required"
}
{
"code": 400,
"message": "Invalid input: debtorName is required"
}

Authorizations

collectwise_key
string
header
required

Path Parameters

callId
string
required

The unique identifier for the call

Query Parameters

format
enum<string>
default:standard

Recording format

Available options:
standard,
multichannel,
scrubbed,
scrubbed_multichannel
include_transcript
boolean
default:false

Include call transcript

include_analysis
boolean
default:false

Include call analysis

Response

Call recording retrieved successfully

recording_url
string
required

URL to the audio recording file

transcript
string

Full conversation transcript (if requested)

analysis
object

Call analysis data (if requested)